#include<bits/stdc++.h>

using namespace std;

int main()
{
	string a,b,c;
	cin>>a>>b>>c;
	string max=a+b+c;
	if((a+c+b)>max)
	 max=a+c+b;
	if((b+a+c)>max)
	 max=b+a+c;
	if((c+a+b)>max)
	 max=c+a+b;
	if((b+c+a)>max)
	 max=b+c+a;
	if((c+b+a)>max)
	 max=c+b+a;
	cout<<max;
	return 0;
}